LINUX.ORG.RU

Вышел релиз Ubuntu «Lucid Lynx» 10.04 LTS

 , , , ,


0

0

Сегодня, 29 апреля 2010 года, как и было запланировано ранее (но чуть позже по времени), после шести месяцев упорного и плодотворного труда, команда Ubuntu рада представить, на условиях длительной поддержки (Long Term Support), очередной релиз своего дистрибутива версии 10.04 с кодовым названием «просветлённая рысь» - Ubuntu «Lucid Lynx» 10.04 LTS, который отличается дружественностью и приятной для использования средой, вобравшей в себя все самые свежие и лучшие решения из мира СПО на сегодня, а также достигший пользовательской базы в 12 миллионов человек.

Основные компоненты дистрибутива:

  • ядро Linux версии 2.6.32-21.32 на основе 2.6.32.11; для видеокарт NVidia в качестве драйвера по умолчанию выбран Nouveau с поддержкой KMS; GCC версии 4.4.3, Python версии 2.6.5;
  • полное удаление компонентов HAL, что позволяет ощутимо сократить время загрузки/выключения и выхода из режима сна/гибернации (suspend/hibernate);
  • окружение рабочего стола GNOME версии 2.30;
  • web-браузер Firefox версии 3.6.3;
  • пакет likewise-open проекта Likewise, предоставляющего совместимую с технологией Active Directory функциональность;
  • среда облачных вычислений Eucalyptus с возможностью создания и запуска Amazon EC2-совместимых образов операционных систем в изолированном окружении, являющаяся частью проекта Ubuntu Enterprise Cloud, внедрение которого осуществлено в 12 тысяч систем;
  • значительно доработан и улучшен Ubuntu Software Center - приложение для установки и удаления пакетов;
  • интеграция магазина музыки Ubuntu One Music Store;
  • общие улучшения в работе и интеграции облачного сервиса Ubuntu One, предназначенного для прозрачной синхронизации файлов, контактов, заметок и закладок браузера.

Изменения компонентов дистрибутива, предоставляемых на CD (по сравнению с предыдущими выпусками):

  • в рамках проекта Social from the Start добавлен пакет Gwibber - клиент для социальных сетей;
  • добавлен видеоредактор Pitivi;
  • специально в рамках проекта Ubuntu разработан и добавлен пакет Simple Scan, предназначенный для простого и удобного сканирования документов;
  • графический редактор GIMP удалён из стандартной поставки; доработан F-Spot, который содержит базовые возможности по редактированию и обработке изображений.

Изменения дизайна, интерфейса и графического оформления дистрибутива:

  • полностью переработана основная тема оформления, а также шрифта, которым оформлялось название дистрибутива в течение всех предыдущих релизов - постоянным пользователям это, по мнению команды дизайнеров, должно говорить о том, что Ubuntu как проект не стоит на месте и собирается продолжать двигаться вперёд;
  • вместе со сменой графического оформления, претерпели изменения и основные интернет-ресурсы, непосредственно связанные с проектом Ubuntu, такие как, например, домашняя страница проекта;
  • лидер проекта, Марк Шатлворт, после длительных неутихающих дискуссий и дебатов, волевым решением постановил расположить кнопки в левой части заголовка окна в следующем порядке: закрыть, скрыть, развернуть/свернуть;
  • в окружение GNOME добавлен апплет индикаторов (Indicator Applet) - инициатива команды дизайнеров Ubuntu в рамках проекта Ayatana по унификации и переработке парадигмы «секции уведомлений» (Notification Area) в более удобный для использования единый механизм обращения к приложениям, которым в процессе своей работы может понадобится привлечь внимание пользователя (например, в ответ на пришедшее письмо по электронной почте или на необходимость перезагрузки после установки обновлений); также в рамках проекта предоставляется API на основных языках программирования, с поддержкой системной шины сообщений D-Bus для организации межпроцессного взаимодействия между индикаторами; основная цель открытого и документированного API - возможность адаптации уже существующих сторонних приложений, и создание новых, с возможностью поддержки их работы в апплете индикаторов;
  • также в рамках уже упоминавшихся выше проектов Social from the Start и Ayatana представлен апплет MeMenu, предоставляющий пользователю широкие возможности по настройке различных социальных сервисов для дальнейшего с ними взаимодействия.

Прямые ссылки для скачивания:

Для тех же, у кого очень медленный и/или дорогой интернет-доступ, компания Canonical по-прежнему заботится о своих пользователях, и любезно продолжает предоставлять возможность заказа диска с дистрибутивом по почте для доставки в любую населённую точку планеты Земля через службу ShipIt, но только для тех, кому это действительно необходимо - после роста популярности дистрибутива, каждый запрос (особенно на несколько дисков) рассматривается более внимательно и подробно, так что просьба осуществлять запрос только в случае действительно крайней необходимости, и отнестись с пониманием в случае отказа о доставке.

Остаётся пожелать приятных установок/обновлений и использования дистрибутива. Но на этом новость не заканчивается - хотелось бы напомнить, что пока пользователи в этот момент читают новость, скачивают образы/пакеты и готовятся к установке/обновлениям, разработчики и дизайнеры ключевых проектов готовятся к проведению саммита Ubuntu (Ubuntu Developer Summit - UDS), который пройдёт в Брюсселе уже в мае этого года, для встречи и обсуждения планов следующего релиза Ubuntu 10.10, под кодовым названием «бродячий сурикат» ("Maverick Meerkat"), чтобы сделать дистрибутив ещё более дружественным, простым и эффективным в использовании, дабы вновь осенним смурным днём порадовать пользователей в очередной раз очередным свежим релизом.

>>> Главная страница проекта дистрибутива Ubuntu операционной системы GNU/Linux



Проверено: svu ()

Поставил сегодня. При установке апдейт менеджер вырубил сеть начисто, повесил всю систему и не оставил ничего от ядра. Пришлось ставить обратно 9.10.

sudo-s ()
Ответ на: комментарий от HappySquirrel

>большинство возможных конфликтов починено.
а потом

легко чинятся

И всё это

Раз в неделю


:)

grim ★★★☆ ()
Ответ на: комментарий от YogSagot

Ну и пофиг.

Вот и я думаю, пофиг. Кто этой убунтой пользуется-то.

ogronom ()
Ответ на: комментарий от ist76

>И много убунтоидов сидят на LTS? cat /etc/issue Ubuntu 8.04.4 LTS \n \l

anonymous ()
Ответ на: комментарий от sudo-s

>При установке апдейт менеджер вырубил сеть начисто, повесил всю систему и не оставил ничего от ядра. Пришлось ставить обратно 9.10.

А начисто поставить с сохранением /Хоме криворукость не позволяет?

anonymous ()

Очередная радость! Этот выпуск радует меня больше прошлых - работал у меня со второй альфы без проблем. Щас поставил начисто. Радует.

Pakostnik ★★★ ()
Ответ на: комментарий от daemonpnz

> Уже там.

Пока с работы доехал... Однако оперативненько. Можно помаяться делом.

valich ★★★ ()
Ответ на: комментарий от Pakostnik

сам убунтойд, но скажу честно - у меня работает отвратно. ставил с нуля на абсолютно чистый жесткий. автомонтирование не работает, виснет над простейшими задачами.

anonymous ()

"... Из-за обнаружения критической ошибки в организации работы GRUB, приводящей к невозможности загрузить дополнительно установленные на компьютере операционные системы (другие ОС не отображаются в меню GRUB), принято решение пересборки установочных ISO-образов с Ubuntu 10.04. Разработчики намерены приложить все усилия, чтобы сегодня успеть распространить по зеркалам обновленную сборку, но наиболее вероятно, что релиз будет сдвинут на один день и выйдет только завтра..."

Хы... Оказываеться был форсмажерчик ;)

Buy ★★★★★ ()
Ответ на: комментарий от Gonzo

>> Манда вполне себе неплоха. Из нативно-кедовых дистров - самое приличное, что я видел.

Манда? Хм...

Манда? Хм... В переводе с одного языка... это вообще как бы звучит особо весело в данном контексте )))

anonymous ()
Ответ на: комментарий от vold

> Я так понимаю, убунта хочет позиционировать себя как бесплатная макось и откусить у неё часть рынка. Поэтому они скопиластили интерфейс у маков. У винды и других линуксов убунтарии сколько можна уже отхватили, поэтому они бросили косить под винду ;)

Я бы сказал, что косить под винду намного перспективнее, чем под МакОС.

Nxx ★★★★★ ()
Ответ на: комментарий от anonymous

> Научись таки gconf'игурировать интерфейс под себя

Проще поставить другой дистр, чем Убунту под себя переделывать.

Nxx ★★★★★ ()
Ответ на: комментарий от tx

> В слаке 3.x замечательно работали. Но увы 3.x кончились. :(

В Сусе и сейчас 3.5.10.1 замечательно работает.

Nxx ★★★★★ ()
Ответ на: комментарий от firestarter

> А сейчас Линукс де факто это Убунту. :D Остальные дистры в тени :D

Чем мерил?

Nxx ★★★★★ ()
Ответ на: комментарий от firestarter

> Через полгода-год почти все возвращаются на нормальный дистр.

...Которым Убунта не является.

Nxx ★★★★★ ()
Ответ на: комментарий от anonymous

> Нет ничего плохого что Canonical вносит свой вклад в мир Linux, делая адекватные и юзабильные дистрибутивы.

Скажи пожалуйста, какой вклад внесла именно Каноникал, кроме переноса кнопок налево?

Nxx ★★★★★ ()

На первый взгляд неплохой релиз получился. только драйверов для sisimedia в D201GLY2 уже который релиз нету.

dn2010 ★★★★★ ()
Ответ на: комментарий от theZest

> Да и не нужен rpm, имхо. Разве что суся симпатична, но тоже rpm'нутая.

Дурачок, rpm в тысячу раз надежнее deb'а. Это просто как небо и земля. ЗЫ. У меня Суся.

Nxx ★★★★★ ()
Ответ на: комментарий от anonymous

> Подскажите, дорогие пользователи, нормальный стабильный десктопный Линукс дистрибутив! Максимально близкий по стабильности к Mac OS? Эксперименты Шатлворта невозможно больше терпеть.

Про близость про MacOS ничего сказать не могу, но можно попробовать OpenSUSE.

Nxx ★★★★★ ()
Ответ на: комментарий от matumba

> к тому же КОММЕРЧЕСКИ доработанная до юзабельного состояния.

А Суся, Федора, Мандрива, Альт и т.д. - не «коммерчески доработанные»?

Nxx ★★★★★ ()

Водрузил Remix на EEEPC 900. На этот раз хандрос умер. Доволен пока, как слон. Вайфлю и микрофон не проверял

anonymous ()
Ответ на: комментарий от Nxx

+1

ctrl-c во время apt-get и секас с dpkg обеспечен, а чего стоит сборка пакетов, когда вместо одного файла имеем три, да еще и патчи все в одной куче, в общем, прошлый век.

Reset ★★★★★ ()
Ответ на: комментарий от Boy_from_Jungle

> Поставил, посмотрел, снёс

VirtualBox или VMware же....

anonymous ()
Ответ на: комментарий от leg0las

>хм, на альтреней вариант я как-то не обращал внимания видимо. поставил, была какая-то ругня на mysql, чего-то там не может. разрешил, вроде работает.

Дык альтерней вообще пофичастее чем desktop, и пакеты можно выврать и LVM и шифрование разделов сделать - он для продвинутых пользователей, а дестоп идеален для новичков, минимум вопросов и настроек. Далее-далее-финиш.

justuser ★★ ()
Ответ на: комментарий от Reset

> ctrl-c во время apt-get и секас с dpkg обеспечен, а чего стоит сборка пакетов, когда вместо одного файла имеем три, да еще и патчи все в одной куче, в общем, прошлый век.

Главный мегафейл формата deb - это то, что там в зависимостях пишутся названия пакетов, а rpm смотрит на конкретные файлы, библиотеки.

Поэтому, deb-система может быть в полной уверенности, что все зависимости удовлетворены, а на самом деле, нужных билиотек на диске просто нету. Ну и, соответственно, все сегфолтится, крашится, и юзер ничего не понимает.

С этим пытаяются бороться, прописывая в каждый deb-файл максимальную версию библиотек и прочих зависимостей. Ясное дело, чтобы заранее предугадать, с какой версией его программа сможет работать в будущем, а с какой - нет, автор должен иметь машину времени или быть предсказателем будущего. Поэтому в качестве максимальной пишут версию, включенную в текущий релиз Убунты.

Результат:

1. Ты не можешь запустить старую прграмму из предыдущего релиза (потому что библиотеки в твоем релизе слишком новые для нее).

2. Ты не можешь установить более новую прогу, потому что она требует более новую библиотеку, а установка более новой библиотеки вызовет снос половины системы (потому что она слишком новая для других прог).

Когда сидел на Убунте, нормой были такие мелочи, как предложения снести видеодрайвер при установке какой-нибудь тривиальной программки или снос всех Qt приложений при установке проги, которая не имеет никакого отношения к Qt.

Nxx ★★★★★ ()
Ответ на: комментарий от Buy

У меня граб после обновления перепутал диски с вистой, загрузочный с recovery. Я так понял это было специально сделанно :))) Ибо нехер туда и загружаться ))

Sonsee ()
Ответ на: комментарий от Reset

Кроме того, жутко сложно поменять название пакета, не ломая зависимостей. Думаю, это одна из причин, почему из Дебиана выкинули КДЕ3. Пакеты КДЕ4 имели те же названия, а все переименовывать и менять все зависимости разработчики не осилили. Кроме того, такое переименование гарантирует, что старые КДЕшные прги, которые о переименовании не знают, работать не будут.

В RPM все проще: пакет может иметь хоть какое имя, главное, что у него в provides записано.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

Ага, и чтобы обойти это придумывают всякие backports, левые репозитории и прочую ахинею, а потом когда апдейтишь такую свалку, то всё встает колом и проще поставить заново чем обновить.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

> Ага, и чтобы обойти это придумывают всякие backports, левые репозитории и прочую ахинею, а потом когда апдейтишь такую свалку, то всё встает колом и проще поставить заново чем обновить.

Да, и приходится выбирать - либо сидеть на бородатом софте со старым опенофисом и мозиллой, как на Дебиане, либо апгрейдиться каждые полгода ради новой версии браузера.

Nxx ★★★★★ ()
Ответ на: комментарий от anonymous

>А начисто поставить с сохранением /Хоме криворукость не позволяет?

А вот это и есть корень виндузятности убунты. При выходе новой версии описанный способ установки и является наиболее беспроблемным для большинства. апдейт же у кого-то на ура проходит (некоторые с 6.06 обновлялись на каждую последующую и ничего), а у кого-то половина системы летит к чертям. Система должна ставится один раз и нормально обновляться. Единственная ситуация, при которой оптимально переустановить нормально работающую систему - смена процессорной архитектуры. Все прочее - виндузятничество.

Я не удивляюсь, если при апдейте с предыдущего LTS (8.04 или какой там), тоже все повалится к чертям.

anonymous ()

Попробовал поставить 64 битную версию и напоролся на первую пироблему.

На ноутбуке (2 гб озу, ati x1250), до этого была 9.10 (которую срочно прешлось возвращать). ЛайвСД после выбора пункта утсновить (так же как и запустить не устанвливая) уходит без возврата в себя и не начто не реагирует. Попытка обновить по сети, привела после плановой перезагрузки к томуже (посе груба машина уходит в себя и не какой реакции). Если кто сталкнулся с аналогичной проблемой отпишитесь.

К примеру тут (http://ubuntuforums.org/showthread.php?t=1460847&page=3) пишут: что образ по ссылке http://mirror.internode.on.net/pub/ubuntu/releases/lucid/ubuntu-10.04-desktop... - не рабочий.

Genuine ★★★ ()
Ответ на: комментарий от Nxx

>Главный мегафейл формата deb - это то, что там в зависимостях пишутся названия пакетов, а rpm смотрит на конкретные файлы, библиотеки.

Поэтому, deb-система может быть в полной уверенности, что все зависимости удовлетворены, а на самом деле, нужных билиотек на диске просто нету. Ну и, соответственно, все сегфолтится, крашится, и юзер ничего не понимает.


Ну бред-то не пиши, все дополнительные зависимости довычисляются на этапе сборки пакета.

anonymous ()
Ответ на: комментарий от Reset

>ctrl-c во время apt-get и секас с dpkg обеспечен, а чего стоит сборка пакетов, когда вместо одного файла имеем три, да еще и патчи все в одной куче, в общем, прошлый век.

жуткое 4.2. Повторный apt-get и никаких проблем. Проблемы бывают (при установке пакетов, на бетах&unstable), но с Ctrl-C это вообще никак не связано

anonymous ()
Ответ на: комментарий от anonymous

4.2

После неожиданного сбоя целостность apt-get не гарантирует, это известная проблема и неоднократно обсуждалась на лоре, если ты еще пока с ней не сталкивался, то это не значит, что её нет.

Reset ★★★★★ ()
Ответ на: комментарий от anonymous

> Ну бред-то не пиши, все дополнительные зависимости довычисляются на этапе сборки пакета.

Что за «дополнительные зависимости»? Ты не понял. Вот например, есть тулкит, там есть файл libfoo.so.0 В новой версии библиотеки чуть-чуть изменился API и файл поэтому теперь называется libfoo.so.1.

Дебиан-система видит в репе новую версию пакета libfoo-1.1.deb (вместо libfoo-1.0.deb), обновляет, и прога foobar, которой нужна библиотека libfoo.so.0, перестает работать. Чтобы избежать этого, автор вносит в пакет foobar указание, что он может работать только с одной версией пакета libfoo-1.0 и ни шагу в сторону (ибо заранее неизвестно, что там будет в более новой весии, будет там файл libfoo.so.0 или нет).

RPM система видит новую версию пакета и смотрит, что там внутри. Если там есть libfoo.so.0, она обновляет пакет. Если нет - обновления не будет, потому что система знает, что с Libfoo-1.1.rpm программа foobar работать не будет потому что ей нужна библиотека libfoo.so.0 (это прописано в зависимостях).

Nxx ★★★★★ ()
Ответ на: комментарий от anonymous

Если API библиотеки существенно не менялся и libfoo.so.0 так и осталась libfoo.so.0, то на RPM-системе будет будет работать любой пакет, которому нужна эта библиотека, даже десятилетней давности. В DEB-системе как правило, жестко прописывают версию пакетов библиотек, которые нужны. Результат - установить пакет даже годовой давности можно и не пытаться.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

>Кроме того, жутко сложно поменять название пакета, не ломая зависимостей. Думаю, это одна из причин, почему из Дебиана выкинули КДЕ3. Пакеты КДЕ4 имели те же названия, а все переименовывать и менять все зависимости разработчики не осилили. Кроме того, такое переименование гарантирует, что старые КДЕшные прги, которые о переименовании не знают, работать не будут.

В RPM все проще: пакет может иметь хоть какое имя, главное, что у него в provides записано.

Если ты думаешь, что в Debian/Ubuntu нет виртуальных пакетов (а provides в RPM только для этого и предназначен), то ты сильно ошибаешься. А теперь попробуй объяснить, как это provides aka «виртуальные пакеты» могут на раз разрешить все проблемы сосуществования KDE3 и KDE4 (нехилое кол-во пакетов у обоих DE).

И да, мой же опыт сборки пакетов (deb, rpm) говорит ровно об обратном - работать с deb гораздо удобней. А все потому что принцип сборки основан на все том же «make», что для программиста привычно: если что-то сломалось в процессе сборки, поправил и дальше продолжил (а не самого начала все пересобирать).

В rpm же так не пройдет - у rpmbuild ключ --short-curcuit работает только для фаз -bc, -bi, а для -ba такое не пройдет (=> опять собирай все заново). Если пакет долго собирается (да еще и под виртуалкой, например), то геморрой обеспечен.

anonymous ()

новоселье

Сейчас поставил себе сабж на ноутбук. Очень даже шустренько все. Улыбнул апплет для голубого зуба: тынц — все по хигу! )))

Corey ()
Ответ на: комментарий от Reset

>После неожиданного сбоя целостность apt-get не гарантирует, это известная проблема и неоднократно обсуждалась на лоре, если ты еще пока с ней не сталкивался, то это не значит, что её нет.

Ctrl-C это не неожиданный сбой. Если же сбой произошел, то он на то и сбой, что гарантировать что-либо сложно, это форс-мажор (я это выше уже писал). Если же rpm еще и сбои умеет исправлять, то без libastral он явно не обходится :)

anonymous ()
Ответ на: комментарий от anonymous

> Если ты думаешь, что в Debian/Ubuntu нет виртуальных пакетов (а provides в RPM только для этого и предназначен), то ты сильно ошибаешься.

Виртуальные пакеты вообще к этому никаким боком не относятся.

Еще один гипотетический пример, есть тулкит для фильтра изображений absolute и есть программа проверки диска absolute. Ставим графический редактор, которому нужны фильтры absolute. Убунта берет и ставит вместо фильтров прогу для проверки дисков, потому что у них названия совпадают, а версия у проги для проверки дисков выше. На RPM-системе такое невозможно.

Кстати, из-за того, что в DEB-пакетах в зависимостях пишут названия пакетов, появились такие жесткие требования к именам пакетов: только строчные буквы и т.д. В RPM системе можешь называть файл как угодно, важно только, что у него в списке provides написано.

А теперь попробуй объяснить, как это provides aka «виртуальные пакеты» могут на раз разрешить все проблемы сосуществования KDE3 и KDE4 (нехилое кол-во пакетов у обоих DE).

А какие проблемы? В OpenSUSE, например, никаких проблем нет. Ставь КДЕ3 и КДЕ4 рядом, на здоровье. Это в Убунте проблемы.

А все потому что принцип сборки основан на все том же «make», что для программиста привычно

В этом плане rpm ничем не отличается, большинство пакетов как раз и собираются автотулзами.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

>Что за «дополнительные зависимости»? Ты не понял. Вот например, есть тулкит, там есть файл libfoo.so.0 В новой версии библиотеки чуть-чуть изменился API и файл поэтому теперь называется libfoo.so.1.

Если API/ABI изменился (несовместимо), то название пакета библиотеки должно быть изменено, и пакетировщику либо надо обеспечить сосуществование обоих версий/пакетов библиотеки, либо дать возможность установить только один из вариантов. Во втором варианте apt уведомит, что намерен удалить не только библиотеку, но и foobar (что пользователю может не понравиться, но у него есть выбор оставить как есть либо грохнуть foobar).

RPM система видит новую версию пакета и смотрит, что там внутри. Если там есть libfoo.so.0, она обновляет пакет. Если нет - обновления не будет, потому что система знает, что с Libfoo-1.1.rpm программа foobar работать не будет потому что ей нужна библиотека libfoo.so.0 (это прописано в зависимостях).

Это очень наивная попытка исправить положение. Опять же, все проблемы с API/ABI должен решать upstream (т.е. выдавать четкие инструкции, с какими версиями будет работать его поделие), а не пакетировщик. Случаи, когда вышеописанное тобой прокатывает у RPM, можно рассматривать так: либо это ошибка ustream'a, и пакетировщик и/или rpm с бубном пытается ее исправить, либо пакетировщик «бежит впереди паровоза», пытаясь собрать что-то без каких-либо гарантий.

anonymous ()
Ответ на: комментарий от Nxx

>> А все потому что принцип сборки основан на все том же «make», что для программиста привычно

В этом плане rpm ничем не отличается, большинство пакетов как раз и собираются автотулзами.

Не выдирай фразу из контекста. Я сравнивал работу rpmbuild vs. make (тот момент, когда собираются .rom и .deb файлы), а не когда сама программа собирается (make + компилятор + и т.д.). Так вот, rpmbuild sucks, теперь понятно?

anonymous ()
Ответ на: комментарий от anonymous

Опять же, все проблемы с API/ABI должен решать upstream (т.е. выдавать четкие инструкции, с какими версиями будет работать его поделие)

Ага, на 10 лет вперед, путем гадания на кофейной гуще :-)

Не выдирай фразу из контекста. Я сравнивал работу rpmbuild vs. make (тот момент, когда собираются .rom и .deb файлы), а не когда сама программа собирается (make + компилятор + и т.д.). Так вот, rpmbuild sucks, теперь понятно?

Сборка уже откомпилированного пакета - дело очень быстрое. В любом случае, я всегда пользуюсь OBS для сборки пакетов. Зачем что-то собирать локально, если есть возможность запустить сборку на сервере?

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

>Сборка уже откомпилированного пакета - дело очень быстрое. В любом случае, я всегда пользуюсь OBS для сборки пакетов. Зачем что-то собирать локально, если есть возможность запустить сборку на сервере?

1. Затем, чтоб ошибки сборки исправить и проверить работоспособность собранного - особенно если с нуля spec пишешь. Зачем зря гонять OBS, если вообще ничего неоттестированно.

2. Вот именно этого-то (только сборку уже откомпилированного выполнить) rpmbuild и не позволяет. Чтобы собрать rpm в любом случае нужно с нуля выполнять все (rpmbuild -ba); нет возможности продолжить с момента когда все окомпилировано и оттестированно.

anonymous ()
Ответ на: комментарий от anonymous

> Это очень наивная попытка исправить положение.

Этого недостаточно, но хоть что-то. Есть лучшие варианты, над ними идет работа.

все проблемы с API/ABI должен решать upstream (т.е. выдавать четкие инструкции, с какими версиями будет работать его поделие), а не пакетировщик.


Upstream должен, но частенько не решает. А перед пользователем отвечает разработчик дистрибутива, а не upstream.

Проблема серьезная, здесь дело в rpm vs deb.

aen ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.